Skip to content

Delete A Specific Message

Request

Completely removes a message from a thread. (This action is not able to be undone, proceed with caution).

Security
apiKey
Path
thread_idstringrequired
idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
DELETE
/v5/messaging/{thread_id}/messages/{id}.xml
curl -i -X DELETE \
  'https://api.vworkapp.com/v5/messaging/{thread_id}/messages/{id}.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"no-cache"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 02:04:46 GMT"
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"4e0203ca-8bc2-4220-9310-e00ea720f01e"
X-Runtimestring
Example:"0.117428"
X-Unique-IDstring
Example:"CA7C7B8A:D1C2_0A001312:01BB_575F6639_77CF51:1E66"
X-XSS-Protectionstring
Example:"1; mode=block"